| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ > Class Template Reference

`#include <GaudiAlg/FunctionalDetails.h>`

Inheritance diagram for Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >:
[legend]
Collaboration diagram for Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >:
[legend]

## Public Types
using | KeyValue = std::pair< std::string, std::string >

## Public Member Functions
| DataHandleMixin (const std::string &name, ISvcLocator *pSvcLocator, const std::array< KeyValue, N_out > &outputs)
| DataHandleMixin (const std::string &name, ISvcLocator *locator, const KeyValue &output)
template<std::size_t N = 0>
const std::string & | outputLocation () const
unsigned int | outputLocationSize () const

## Static Public Attributes
static constexpr std::size_t | N_out = sizeof...(Out)

## Protected Attributes
std::tuple< details::OutputHandle_t< Traits_, Out >... > | m_outputs

## Detailed Description

### template<typename... Out, typename Traits_>
class Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >

Definition at line 410 of file FunctionalDetails.h.

## Member Typedef Documentation

template<typename... Out, typename Traits_ >

using Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::KeyValue = std::pair<std::string, std::string>

Definition at line 414 of file FunctionalDetails.h.

## Constructor & Destructor Documentation

template<typename... Out, typename Traits_ >

Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::DataHandleMixin | ( | const std::string & | name,
|  | ISvcLocator * | pSvcLocator,
|  | const std::array< KeyValue, N_out > & | outputs
| ) |  |
| inline

Definition at line 418 of file FunctionalDetails.h.

420 : BaseClass_t<Traits_>( name , pSvcLocator ),
421 m_outputs( make_tuple_of_handles<decltype(m_outputs)>( this, outputs, Gaudi::DataHandle::Writer ) )
422 {
423 declare_tuple_of_properties( this, outputs, m_outputs );
424 // make sure this algorithm is seen as reentrant by Gaudi
425 BaseClass_t<Traits_>::setProperty("Cardinality", 0);
426 }
Gaudi::Utils::setProperty
StatusCode setProperty(IProperty *component, const std::string &name, const TYPE &value, const std::string &doc)
simple function to set the property of the given object from the value
Definition: Property.h:1138
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:28
Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::m_outputs
std::tuple< details::OutputHandle_t< Traits_, Out >... > m_outputs
Definition: FunctionalDetails.h:439
Gaudi::Functional::details::declare_tuple_of_properties
void declare_tuple_of_properties(GaudiAlgorithm *owner, const KeyValues &inputs, Properties &props)
Definition: FunctionalDetails.h:299
Gaudi::Functional::details::make_tuple_of_handles
Tuple make_tuple_of_handles(IDataHandleHolder *owner, const KeyValues &initvalue, Gaudi::DataHandle::Mode mode)
Definition: FunctionalDetails.h:294
Gaudi::DataHandle::Writer
Definition: DataHandle.h:32
template<typename... Out, typename Traits_ >

Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::DataHandleMixin | ( | const std::string & | name,
|  | ISvcLocator * | locator,
|  | const KeyValue & | output
| ) |  |
| inline

Definition at line 429 of file FunctionalDetails.h.

431 : DataHandleMixin( name, locator, std::array<KeyValue,1>{ output } )
432 { }
Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::DataHandleMixin
DataHandleMixin(const std::string &name, ISvcLocator *pSvcLocator, const std::array< KeyValue, N_out > &outputs)
Definition: FunctionalDetails.h:418
gaudirun.output
output
Definition: gaudirun.py:388
std::array
STL class.

## Member Function Documentation

template<typename... Out, typename Traits_ >
template<std::size_t N = 0>

const std::string& Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::outputLocation | ( |  | ) | const
| inline

Definition at line 435 of file FunctionalDetails.h.

435 { return std::get<N>(m_outputs).objKey(); }
Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::m_outputs
std::tuple< details::OutputHandle_t< Traits_, Out >... > m_outputs
Definition: FunctionalDetails.h:439
template<typename... Out, typename Traits_ >

unsigned int Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::outputLocationSize | ( |  | ) | const
| inline

Definition at line 436 of file FunctionalDetails.h.

436 { return std::tuple_size<decltype(m_outputs)>::value; }

## Member Data Documentation

template<typename... Out, typename Traits_ >

std::tuple<details::OutputHandle_t<Traits_,Out>...> Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::m_outputs
| protected

Definition at line 439 of file FunctionalDetails.h.

template<typename... Out, typename Traits_ >

constexpr std::size_t Gaudi::Functional::details::DataHandleMixin< std::tuple< Out... >, void, Traits_ >::N_out = sizeof...(Out)
| static

Definition at line 415 of file FunctionalDetails.h.

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/FunctionalDetails.h